import { request } from 'umi';
import { api } from '../api';
import { Paging, SortProps } from './rankingList';
let wapi = api + '/gameData'

export interface GameServerListProps extends Paging, SortProps {
    beginDate?: string,
    endDate?: string,
    gameId?: number,
    serverId?: number,
    serverName?: string
}
/**
 * 游戏区服列表
 * @param data 
 * @returns 
 */
export async function getGameServerListApi(data: GameServerListProps) {
    return request(wapi + `/gameServer/day`, {
        method: 'POST',
        data
    });
}

/**
 * 游戏区服总计
 * @param data 
 * @returns 
 */
export async function getGameServerTotalApi(data: GameServerListProps) {
    return request(wapi + `/gameServer/day/total`, {
        method: 'POST',
        data
    });
}